Bug 1572298 - httpd wsgi segfault after service httpd reload
Summary: httpd wsgi segfault after service httpd reload
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Pulp
Version: 6.2.12
Hardware: x86_64
OS: Linux
high
high vote
Target Milestone: 6.4.0
Assignee: satellite6-bugs
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks: 1122832 1512426
TreeView+ depends on / blocked
 
Reported: 2018-04-26 16:02 UTC by pm-sat@redhat.com
Modified: 2019-11-05 23:16 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1516481
Environment:
Last Closed: 2018-10-16 19:24:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Pulp Redmine 3129 High CLOSED - CURRENTRELEASE occasional httpd segfault 2018-04-26 16:32:29 UTC
Red Hat Knowledge Base (Solution) 3251441 None None None 2018-04-26 16:02:35 UTC

Comment 2 pulp-infra@redhat.com 2018-04-26 16:32:30 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 3 pulp-infra@redhat.com 2018-04-26 16:32:35 UTC
The Pulp upstream bug priority is at High. Updating the external tracker on this bug.

Comment 5 jcallaha 2018-07-27 20:25:35 UTC
Verified in Satellite 6.4 Snap 13. No more segfaults are detected.

I used [1] as a base for this test. I modified the RHEL7 startup.sh script to continually loop over installing/uninstalling vim, rebuilding the image. 

I then spun up 20 content hosts, based off that image.

Then, I intermittently reloaded httpd and checked for segfaults.

-bash-4.2# for i in {1..5}; do service httpd reload; sleep 5; done
Redirecting to /bin/systemctl reload httpd.service
Redirecting to /bin/systemctl reload httpd.service
Redirecting to /bin/systemctl reload httpd.service
Redirecting to /bin/systemctl reload httpd.service
Redirecting to /bin/systemctl reload httpd.service


-bash-4.2# grep segfault /var/log/messages
-bash-4.2# 


[1] - https://github.com/JacobCallahan/content-host-d

Comment 6 Bryan Kearney 2018-10-16 19:24:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.